Last Comment Bug 674972 - Building jemalloc on MSVC 2010 with pymake is broken
: Building jemalloc on MSVC 2010 with pymake is broken
Status: RESOLVED FIXED
: regression
Product: Firefox
Classification: Client Software
Component: Build Config (show other bugs)
: Trunk
: x86 Windows 7
: -- normal (vote)
: ---
Assigned To: Kyle Huey [:khuey] (khuey@mozilla.com)
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2011-07-28 10:51 PDT by Mike Pesce (:By-Tor)
Modified: 2011-08-01 11:37 PDT (History)
6 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description Mike Pesce (:By-Tor) 2011-07-28 10:51:51 PDT
User Agent: Mozilla/5.0 (Windows NT 6.1; rv:8.0a1) Gecko/20110728 Firefox/8.0a1
Build ID: 20110728160000

Steps to reproduce:

Compile mozilla-central under Windows 7 with VS2010 Pro with --enable-jemalloc


Actual results:

The build process crashes at shlibsign.exe with the following error:

Faulting application name: shlibsign.exe, version: 0.0.0.0, time stamp: 0x4e319744
Faulting module name: jemalloc.dll, version: 8.0.0.4226, time stamp: 0x4e319395
Exception code: 0xc0000005
Fault offset: 0x00004672
Faulting process id: 0x2268
Faulting application start time: 0x01cc4d48cde2c482
Faulting application path: d:\build\mozilla-central\obj-i686-pc-mingw32\nss\shlibsign.exe
Faulting module path: d:\build\mozilla-central\obj-i686-pc-mingw32\dist\bin\jemalloc.dll
Report Id: 0c763524-b93c-11e0-a3ce-001b2112456b



Expected results:

Successful compilation.
Comment 1 neil@parkwaycc.co.uk 2011-07-31 02:55:46 PDT
This should have been fixed by the latest checkin for bug 673197.
Comment 2 Mike Pesce (:By-Tor) 2011-07-31 09:47:51 PDT
Yes, this does seem to be fixed now.

Note You need to log in before you can comment on or make changes to this bug.